Module: selenium-webdriver/safari
View Source

# class Options

    webdriver.Serializable
      └ Options

Configuration options specific to the `SafariDriver`.

### new Options()

Parameters

  None.

## Instance Methods

### serialize()code »

Converts this instance to its JSON wire protocol representation. Note this function is an implementation detail not intended for general use.

Overrides: webdriver.Serializable

Returns

`Object<string, *>`

  The JSON wire protocol representation of this instance.

### setCleanSession(clean)code »

Sets whether to force Safari to start with a clean session. Enabling this option will cause all global browser data to be deleted.

Parameters

clean`boolean`

  Whether to make sure the session has no cookies, cache entries, local storage, or databases.

Returns

`Options`

  A self reference.

### setLoggingPrefs(prefs)code »

Sets the logging preferences for the new session.

Parameters

prefs`webdriver.logging.Preferences`

  The logging preferences.

Returns

`Options`

  A self reference.

### toCapabilities(opt_capabilities)code »

Converts this options instance to a `webdriver.Capabilities` object.

Parameters

opt_capabilities`?Capabilities=`

  The capabilities to merge these options into, if any.

Returns

`webdriver.Capabilities`

  The capabilities.

## Static Functions

### Options.fromCapabilities(capabilities)code »

Extracts the SafariDriver specific options from the given capabilities object.

Parameters

capabilities`Capabilities`

  The capabilities object.

Returns

`Options`

  The ChromeDriver options.